"use strict";

var _path = _interopRequireDefault(require("path"));

var _crossSpawn = _interopRequireDefault(require("cross-spawn"));

var _rimraf = _interopRequireDefault(require("rimraf"));

var _utils = require("../../utils");

var _paths = _interopRequireDefault(require("../../paths"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var args = process.argv.slice(2);

var here = function (p) {
  return _path.default.join(__dirname, p);
};

var useBuiltinConfig = !args.includes("--presets") && !(0, _utils.hasFile)(".babelrc") && !(0, _utils.hasPkgProp)("babel");
var config = useBuiltinConfig ? ["--presets", here("../../config/babelrc.js")] : [];
var ignore = args.includes("--ignore") ? [] : ["--ignore", "**/*.test.js,__mocks__,@types"];
var copyFiles = args.includes("--no-copy-files") ? [] : ["--copy-files"];
var useSpecifiedOutDir = args.includes("--out-dir");
var outDir = useSpecifiedOutDir ? [] : ["--out-dir", _paths.default.output];
var ignoreTypeDef = ["--ignore", "**/@types"];
var extensions = ["--extensions", ".ts,.tsx,.js,.jsx"];
var sourceMaps = "-s";

if (!useSpecifiedOutDir && !args.includes("--no-clean")) {
  _rimraf.default.sync((0, _utils.fromRoot)(_paths.default.output));

  console.log("Cleaned the build dir.");
}

var babelArguments = outDir.concat(copyFiles, ignore, config, ignoreTypeDef, extensions, ["src", sourceMaps], args);
console.log(babelArguments);

var result = _crossSpawn.default.sync((0, _utils.resolveBin)("babel-cli", {
  executable: "babel"
}), babelArguments, {
  stdio: "inherit"
});

process.exit(result.status);
//# sourceMappingURL=babel.js.map